# tokenize

Returns a sequence of strings formed by breaking the input string at any substring that matches the given regular expression

tokenize($input as xs:string?, $pattern as xs:string) → xs:string*

Arguments
| $input | xs:string? | The input string to be tokenized
| $pattern | xs:string | Regular expression matching the separators between tokens
Result | xs:string*

tokenize($input as xs:string?, $pattern as xs:string, $flags as xs:string) → xs:string*

Arguments
| $input | xs:string? | The input string to be tokenized
| $pattern | xs:string | Regular expression matching the separators between tokens
| $flags | xs:string | Flags controlling how the regular expression is interpreted
Result | xs:string*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

Saxon 9.3 introduces support for the `q` flag, and for XPath 3.0 regular expression enhancements, provided XPath 3.0 is enabled.

Next